package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterrRuralProject;
import com.lightinit.hsdatashow.entity.StWaterrRuralProjectExample;
import com.lightinit.hsdatashow.model.topic.water.NameAndValue;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StWaterrRuralProjectMapper {
    long countByExample(StWaterrRuralProjectExample example);

    int deleteByExample(StWaterrRuralProjectExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterrRuralProject record);

    int insertSelective(StWaterrRuralProject record);

    List<StWaterrRuralProject> selectByExample(StWaterrRuralProjectExample example);

    StWaterrRuralProject selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterrRuralProject record, @Param("example") StWaterrRuralProjectExample example);

    int updateByExample(@Param("record") StWaterrRuralProject record, @Param("example") StWaterrRuralProjectExample example);

    int updateByPrimaryKeySelective(StWaterrRuralProject record);

    int updateByPrimaryKey(StWaterrRuralProject record);

    Integer getGongchengZongliang();

    List<NameAndValue> getGongchengFenbu();

    List<NameAndValue> getGongchengGexian(@Param("type") String type);

    List<NameAndValue> getNongcunGongcheng();
}